stages:
- deploy

variables:
  DOMAIN: "packages.tiki.org"
  VERSIONS: "trunk 25.x 24.x 23.x 22.x 21.x 20.x 19.x 18.x"

pages:
  stage: deploy
  image: rjsmelo/ubuntu-php:7.1-qa
  environment:
    name: production
    url: https://$DOMAIN
  script:
  - composer install --no-progress
  - php cli.php build $VERSIONS
  artifacts:
    paths:
    - public
  only:
  - master
  except:
  - schedules
